POST api/batchapi/add/loadingstep?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

Required

Body Parameters

BatchLoadingStepViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

mediwave_id

globally unique identifier

Required

batch_details

Collection of BatchDetailViewModel

None.

Request Formats

application/json, text/json

Sample:
{
  "id": "94f67bad-c310-48e3-a4ad-40aa415b3654",
  "mediwave_id": "228f0f35-4f6e-4995-9804-c9922d867f29",
  "batch_details": [
    {
      "id": "a2ce7f24-0211-4073-b5fb-23168414396b",
      "compartment": 2,
      "witness_code": 3,
      "unload_time": "2026-09-25T09:11:05.0205855+00:00",
      "reference": "sample string 4"
    },
    {
      "id": "a2ce7f24-0211-4073-b5fb-23168414396b",
      "compartment": 2,
      "witness_code": 3,
      "unload_time": "2026-09-25T09:11:05.0205855+00:00",
      "reference": "sample string 4"
    }
  ]
}

application/xml, text/xml

Sample:
<batch_loading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_details>
    <batch_detail>
      <compartment>2</compartment>
      <id>a2ce7f24-0211-4073-b5fb-23168414396b</id>
      <reference>sample string 4</reference>
      <unload_time>2026-09-25T09:11:05.0205855+00:00</unload_time>
      <witness_code>3</witness_code>
    </batch_detail>
    <batch_detail>
      <compartment>2</compartment>
      <id>a2ce7f24-0211-4073-b5fb-23168414396b</id>
      <reference>sample string 4</reference>
      <unload_time>2026-09-25T09:11:05.0205855+00:00</unload_time>
      <witness_code>3</witness_code>
    </batch_detail>
  </batch_details>
  <id>94f67bad-c310-48e3-a4ad-40aa415b3654</id>
  <mediwave_id>228f0f35-4f6e-4995-9804-c9922d867f29</mediwave_id>
</batch_loading_step>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"70f68681-b1d7-47ab-b548-ba3a225d5e6d"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">70f68681-b1d7-47ab-b548-ba3a225d5e6d</guid>